<?php
include('../config/db.php');
	include('../config/conexion.php');
	include('../config/conexion2.php');

$desde = $_POST['desde'];
$hasta = $_POST['hasta'];
$dato="";
$i=0;
//COMPROBAMOS QUE LAS FECHAS EXISTAN
if(isset($desde)==false){
	$desde = $hasta;
}

if(isset($hasta)==false){
	$hasta = $desde;
}

//EJECUTAMOS LA CONSULTA DE BUSQUEDA

$registro = mysql_query("SELECT * FROM despachos WHERE fecha BETWEEN '$desde' AND '$hasta' ORDER BY id_despacho ASC");
$encontrados=mysql_num_rows($registro);
//CREAMOS NUESTRA VISTA Y LA DEVOLVEMOS AL AJAX

echo '<table class="table" align="center">
<tr>
              <td colspan="8" class="text-right">
               <a href="imp_despacho.php?q=$q&desde=$desde&hasta=$hasta"><button type="button" class="btn btn-info"><span class="glyphicon glyphicon-print" ></span> Descargar PDF</button></a>
              </td>
              </tr>
			  <tr class="info">
			   <th>item</th>
			    <th>Fecha Despacho</th>
            	<th>Numero Factura</th>
                <th>Cliente o Responsable</th>
                <th>destino</th>
                
				
            </tr>';
if(mysql_num_rows($registro)>0){
	while($registro2 = mysql_fetch_array($registro)){
		$i=$i+1;		 
		 
		echo '<tr>
		         <td>'.$i.'</td>
		        <td>'.$registro2['fecha'].'</td>
				<td>'.$registro2['factura'].'</td>
				<td>'.$registro2['responsable'].'</td>
				<td>'.$registro2['destino'].'</td>
							
				</tr>';
	
	}
	echo '<tr class="info">
	            <td></td>
				<td></td>
				<td>total de despachos</td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
		</tr>
		<tr>
	            <td></td>
				<td></td>
				<td>'.$encontrados.'</td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
		</tr>
		
		';
}else{
	echo '<tr>
				<td colspan="6">No se encontraron resultados</td>
			</tr>';
}
echo '</table>';
?>